SmileSectionUtils Class Reference

smile-section utilities More...

`#include <ql/termstructures/volatility/smilesectionutils.hpp>`

## Public Member Functions

| SmileSectionUtils (const SmileSection &section, const std::vector< Real > &moneynessGrid=std::vector< Real >(), const Real atm=Null< Real >(), const bool deleteArbitragePoints=false)
const std::pair< Real, Real > | arbitragefreeRegion () const
const std::pair< Size, Size > | arbitragefreeIndices () const
const std::vector< Real > & | moneyGrid () const
const std::vector< Real > & | strikeGrid () const
const std::vector< Real > & | callPrices () const
const Real | atmLevel () const

## Detailed Description

smile-section utilities